package com.persagy.apm.diagnose.service.schedule;

import com.persagy.apm.diagnose.service.ComputeIndicatorDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;

/**
 * @author king
 */
@Slf4j
@Service
public class ComputeIndicatorData {

    @Value("${eyd.compute.indicator.data.enabel:false}")
    private boolean enable;


    @Autowired
    private ComputeIndicatorDataService computeIndicatorDataService;

    @Scheduled(cron="${eyd.compute.indicator.data.cron:*/5 * * * * ?}")
    public void computeIndicatorData() throws Exception {
    	if (!enable) {
    	    //指标计算未开启
    	    return;
		}
        log.error("【监测指标数据计算线程】计算指标数据开始.........");
        computeIndicatorDataService.computeIndicatorData();
        log.error("【监测指标数据计算线程】计算指标数据结束.........");
    }
}
