package com.persagy.apm.diagnose.service.schedule;

import com.persagy.apm.diagnose.service.MaintenanceDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

/**
 * 发送 设备维保日维度数据
 */
@Slf4j
@Service
public class SendMaintenanceData {

    @Value("${send.maintenance.data.enable:false}")
    private boolean enable;

    @Autowired
    private MaintenanceDataService maintenanceDataService;

    @Scheduled(cron="${send.maintenance.data.cron:0 10 4 * * ?}")
    public void sendMaintenanceData() throws Exception {
        if (!enable) {
            //发送未开启
            return;
        }
        log.info("【发送设备维保日维度平均值数据线程】:发送数据开始.......");
        maintenanceDataService.sendMaintenanceData();
    }
}
